use rocket::serde::json::Json;

use crate::model::course::Course;

#[get("/course")]
pub async fn get_all() -> Json<Vec<Course>> {
    // TODO: get from database
    let c = Course {
        course_id: 1,
        course_code: 322,
        course_name: "4x4".to_string(),
        course_display_name: "Manejo en 4x4 road danger".to_string(),
        course_days_amount: 2,
        course_has_custom_label: false,
    };

    Json(vec![c.clone(), c])
}
