use rocket::serde::json::Json;

use crate::model::person::Person;

#[get("/person/<dni>")]
pub async fn get_by_dni(dni: i32) -> Json<Person> {
    // TODO: get from database
    Json(Person {
        person_id: 1,
        person_dni: format!("{}", dni),
        person_names: "Juan".to_string(),
        person_paternal_surname: "Perez".to_string(),
        person_maternal_surname: "Gomez".to_string(),
    })
}
