import { DownloadIcon } from "../icons/DownloadIcon";

export function Registers() {
    return (
        <div class="m-4 p-4 rounded-md">
            <h3 class="text-xl font-medium py-2">
                SUMA BERNAL, MAIKOL
            </h3>

            <div class="flex flex-wrap justify-start gap-2">
                <div class="inline-block w-[12rem] p-1 border border-c-outline rounded-md">
                    <button class="rounded-full bg-c-primary-container hover:bg-c-primary transition-colors h-12 w-12">
                        <DownloadIcon fill="var(--c-on-primary-container)" />
                    </button>
                    <div class="inline-block h-12 w-32 pl-2 align-middle">
                        <p class="font-bold">Matpel 2</p>
                        <p class="font-mono text-sm">12/08/2023 - 6486</p>
                    </div>
                </div>


            </div>
        </div>
    );
}
